import SR6BaseItemData from '../base-item-data.mjs';

export default class SR6MetamagicItemData extends SR6BaseItemData {
    static defineSchema() {
        const fields = foundry.data.fields;
        return {
            ...super.defineSchema(),
            level:  new fields.BooleanField({ initial: false }),
            adepts: new fields.BooleanField({ initial: false }),
            mages:  new fields.BooleanField({ initial: false })
        };
    }
}
